### Enumeration

# Ggit MergeFlags

#### Declaration

    flags Ggit.MergeFlags

#### Description

No description available.

#### Members

`GGIT_MERGE_FIND_RENAMES`

  Detect renames that occur between the common ancestor and the “ours” side or the common ancestor and the “theirs” side. This will enable the ability to merge between a modified and renamed file.

  - Value: `1`
  - Available since: 1.0
`GGIT_MERGE_FAIL_ON_CONFLICT`

  If a conflict occurs, exit immediately instead of attempting to continue resolving conflicts. The merge operation will fail with `GGIT_EMERGECONFLICT` and no index will be returned.

  - Value: `2`
  - Available since: 1.0
`GGIT_MERGE_SKIP_REUC`

  Do not write the REUC extension on the generated index.

  - Value: `4`
  - Available since: 1.0
`GGIT_MERGE_NO_RECURSIVE`

  If the commits being merged have multiple merge bases, do not build a recursive merge base (by merging the multiple merge bases), instead simply use the first base. This flag provides a similar merge base to `git-merge-resolve`.

  - Value: `8`
  - Available since: 1.0